Page MenuHomePhabricator

requests 0.8.2 is not supported
Closed, DeclinedPublic

Description

requests 0.8.2 is the packaged version on Ubuntu precise. http://packages.ubuntu.com/precise/python-requests . This is an available configuration on Travis-CI, drone.io , and probably others which do not force an empty virtualenv without access to system packages.

Problems with requests 0.8.2:

If these problems cant be avoided, a minimum version of requests needs to be added to setup.py and requirements.txt

Details

Related Gerrit Patches:
pywikibot/core : master[WIP] Support requests 0.8.2

Related Objects

StatusSubtypeAssignedTask
DeclinedNone
DuplicateNone

Event Timeline

jayvdb created this task.Aug 28 2015, 4:23 AM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added subscribers: VcamX, Aklapper, jayvdb.
Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptAug 28 2015, 4:23 AM
jayvdb moved this task from Backlog to requests on the Pywikibot-network board.Aug 28 2015, 4:23 AM

It also doesnt have requests.utils.urlparse

AttributeError: 'module' object has no attribute 'urlparse'

https://travis-ci.org/jayvdb/pywikibot-core/jobs/77626056#L371

And request() does not have keyword argument verify

Requests 0.8 is ancient (2011), and the API changed regularly before 1.0. Even Ubuntu Precise bundles 2.0, so I think that would be a reasonable base version to use.

valhallasw added a comment.EditedAug 28 2015, 7:07 AM

...except your output shows it doesn't. Not sure why tools-precise-dev has 2.0 installed, then -- maybe WMF-packaged.

-edit- Yes, it is:

valhallasw@tools-precise-dev:~$ apt-cache madison python-requests
python-requests | 2.0.0-1~precise+1 | http://apt.wikimedia.org/wikimedia/ precise-wikimedia/universe amd64 Packages
python-requests |    0.8.2-1 | http://nova.clouds.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
jayvdb renamed this task from requests 0.8.2 does not have Session.close() to requests 0.8.2 is not supported.Aug 28 2015, 7:15 AM
jayvdb updated the task description. (Show Details)
jayvdb set Security to None.
jayvdb updated the task description. (Show Details)

Change 234487 had a related patch set uploaded (by John Vandenberg):
Support requests 0.8.2

https://gerrit.wikimedia.org/r/234487

XZise added a subscriber: XZise.Sep 8 2015, 4:01 PM

We also had someone yesterday on the IRC trying to use 0.8.2 and they got another issue in pywikibot.comms.http.get_authentication because that version doesn't support requests.utils.urlparse. I had checked recently which version introduced it, but unfortunately I can't remember which version that was and for which patch I was checking that out (otherwise I might've commented there the result).

socketio is going to have problems with low versions of requests.
https://github.com/invisibleroads/socketIO-client/issues/92

Those then can't use socketio_client.

Xqt closed this task as Declined.May 30 2017, 3:12 PM
Xqt added a subscriber: Xqt.

Two years old and depending on very old requests library.

Change 234487 abandoned by Xqt:
[WIP] Support requests 0.8.2

Reason:
per T110637

https://gerrit.wikimedia.org/r/234487